{"swagger":"2.0","info":{"title":"Crossbrowsertesting.com Screenshots API","description":"What's in this version: \n\n 1. API v3 is a RESTful web service \n 2. Retrieve lists of OS's & browsers available for Screenshots \n 3. Start a new Screenshot Test \n 4. Repeat a Screenshot Test \n 5. Retrieve a list of Screenshot Tests ran with their results \n 6. Create, update, and delete Browser Lists and Login Profiles\n\n<a href='https://github.com/crossbrowsertesting/API-Sample-Scripts/tree/master/v3/screenshots' target='_blank'>Sample Scripts on GitHub</a>","version":"3.0.0"},"host":"crossbrowsertesting.com","schemes":["https"],"securityDefinitions":{"basicAuth":{"type":"basic","description":"HTTP Basic Authentication"}},"basePath":"/api/v3","produces":["application/json"],"paths":{"/screenshots/browsers":{"get":{"summary":"List Screenshot Browsers","description":"Access a list of available browsers for Screenshots.","parameters":[{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"default":"json","type":"string"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"An array of Configuration objects. Within each configuration is an array of browsers","schema":{"type":"array","items":{"type":"object","properties":{"api_name":{"type":"string"},"device":{"type":"string"},"name":{"type":"string"},"version":{"type":"string"},"type":{"type":"string"},"icon_class":{"type":"string"},"upload_file_enables":{"type":"boolean"},"sort_order":{"type":"number","format":"double"},"browsers":{"type":"array","items":{"properties":{"default_config":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"version":{"type":"string"},"api_name":{"type":"string"},"default_live_test_browser":{"type":"boolean"},"icon_class":{"type":"string"},"major_browser":{"type":"boolean"},"device":{"type":"string"}}}},"other_software":{"type":"array","items":{"properties":{"name":{"type":"string"},"type":{"type":"string"},"version":{"type":"string"},"icon_class":{"type":"string"}}}},"resolutions":{"type":"array","items":{"properties":{"width":{"type":"integer"},"height":{"type":"integer"},"name":{"type":"string"},"desktop_width":{"type":"integer"},"desktop_height":{"type":"integer"},"default":{"type":"boolean"}}}}}}}}}}},"/screenshots/":{"post":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Run New Screenshot Test","description":"Start a new Screenshot Test for a given URL and list of browsers. You can specify a saved browser list or provide api_names for each browser you want screenshots of. \nAdvanced Options include:\n - Basic Auth\n - Login Profile \n - Adding a delay\n - Hiding Fixed Element on full page captures\n - Sending Email of results\n - Sending to Applitools integration\n ","parameters":[{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"url","in":"formData","description":"The URL for the page you want to launch in the browser. Should include \"http://\" or relevant scheme name, but defaults to \"http://\" if not provided.","required":true,"type":"string"},{"name":"browsers","in":"query","description":"Array of browser api names. The \"api_name\" for a browser can be found in the returned results of the List  Screenshot Browsers api method. There are three specifications for any browser you want to test the operating system, the browser, and the resolution. In general, the format takes the following syntax: \n\n **[OS api_name]|[Browser api_name]|[OS resolution]** \n\n At a minimum the browser's api_name must be specified.\n\n Optionally, the OS api_name, and the OS resolution name can be specified.\n\n **Either browsers or browser_list_name is required.**","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"multi"},{"name":"browser_list_name","in":"query","description":"Name of a system list, or a custom saved browser list. \\n\\n - The only system browser list at this time is \"popular browsers\". \\n\\n - Custom browser lists are created and saved for your account on the New Screenshot Test page or via the AP (see Create New Browser List method).\n\n **Either browsers or browser_list_name is required.**","required":false,"type":"string"},{"name":"login","in":"query","description":"Name of a saved login profile or selenium script. \n - Used to capture screenshots behind a page that requires authentication via a web form. \n - Login profiles are created and saved on the New Screenshot Test web page or via the API (see Create Login Profile method) and are usually specific to a domain. \n - Can also be used to specify a saved selenium script from the SeBuilder tool. Using Selenium Scripts with screenshots","required":false,"type":"string"},{"name":"basic_username","in":"query","description":"Username for pages that require Basic Authentication in order to access the website.","required":false,"type":"string"},{"name":"basic_password","in":"query","description":"Password for pages that require Basic Authentication in order to access the website.","required":false,"type":"string"},{"name":"delay","in":"query","description":"Number of seconds after a page is loaded to wait before taking screenshots. Also, when a login profile is specified, the number of seconds to wait after the submit button is clicked (this is helpful for AJAX-based logins since the screenshot process cannot tell when the login function has completed).","required":false,"type":"number","format":"integer 0-60","default":0},{"name":"hide_fixed_elements","in":"query","description":"Enables cleaner fullpage screenshots by handling fixed position elements as the web page is scrolled and images are appended. Default is true, so set to false if this is an issue for your webpage.","required":false,"type":"boolean","default":true},{"name":"check_url","in":"query","description":"Turn on/off the URL checker before attempting screenshot test. Each time a new screenshot test is run, the system checks that the URL receives an HTTP status 200. If not, the test is not initiated and the response returns error information detailing the issue. By default this is turned on and is recommended. Turning the URL check off will cause the system to bypass verification of HTTP status.","required":false,"type":"boolean","default":true},{"name":"send_email","in":"query","description":"Turn on/off sending a notification email of a finished screenshot test. If email_list is provided, the email will only go to the list of email addresses; otherwise, it sends the email to the account holder's email address.","required":false,"type":"boolean","default":false},{"name":"email_list","in":"query","description":"A list of email addresses to send the notification email to. Each email address must be delimited by a comma. ie. \"**person1@email.com, person2@email.com, person3@email.com**\"","required":false,"type":"string"},{"name":"send_to_applitools","in":"query","description":"Once you've set your Applitools API Key via the Advanced Options of the CBT Screenshot Run UI, you can use this flag to send the results to Applitools. ","required":false,"type":"boolean"},{"name":"applitools_test_name","in":"query","description":"When send_to_applitools is set to true, use this parameter to set the Test Name.  Additional Screenshots with the same Test Name will be compared for differences.","required":false,"type":"string"}],"responses":{"200":{"description":"Each new screenshot test gets a response with a specific screenshot_test_id and relative details used. The versions array will have one object representing the version that was just created. Repeating the test will create new versions. There is a property called \"active\" that gives a boolean for whether or not the screenshot version is complete (when active = false). \\n\\n To poll the screenshot status, use Show Screenshot Test Info, which provides the same result as seen here, but gives you the current state each time it is called. Once the versions[0].active == false, then you know the screenshot test is complete. You can also use the version[0].result_count properties to determine how far along a test is.","schema":{"$ref":"#/definitions/screenshot_test"}}}},"get":{"security":[{"basicAuth":[]}],"summary":"List Screenshot History","description":"Returns a list of Screenshot Tests ran on your account. Results returned are in order of most recent to oldest tests ran. As there can be hundreds of tests, the results are limited by specifying a starting index and count of tests to return indicated in the parameters provided. A record count is included in the \"meta\" attribute to determine the total number of tests ran.","parameters":[{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"num","in":"query","description":"The number of Live Tests to return for this request.","required":false,"type":"number","format":"integer","default":10},{"name":"start","in":"query","description":"Starting index for the Live Test results to retrieve","required":false,"type":"number","format":"integer","default":0},{"name":"active","in":"query","description":"Include only active or inactive tests.","required":false,"type":"boolean"},{"name":"url","in":"query","description":"Filter to only tests with URLs that match this parameter. Can be full URL or partial. Example: google.com will match any tests whose URL has google.com within it.","required":false,"type":"string"},{"name":"start_date","in":"query","description":"The starting date to filter results. Format: YYYY-MM-DD (2014-09-01)","required":false,"type":"string","format":"date"},{"name":"end_date","in":"query","description":"The ending date to filter results. Format: YYYY-MM-DD (2014-09-03)","required":false,"type":"string","format":"date"},{"name":"archived","in":"query","description":"Include only archived or unarchived tests. Returns all tests if not provided.","required":false,"type":"boolean"}],"responses":{"200":{"description":"An object containing the metadata of overall Screenshot Tests and an array of the user's Screenshot Test history","schema":{"type":"object","properties":{"meta":{"type":"object","properties":{"record_count":{"type":"integer"}}},"screenshots":{"type":"array","items":{"$ref":"#/definitions/screenshot_test"}}}}}}}},"/screenshots/{screenshot_test_id}":{"get":{"security":[{"basicAuth":[]}],"summary":"Show Screenshot Test Info","description":"Show information about a specific screenshot test. Since a screenshot test can be run multiple times, creating multiple versions, this URL format always returns information about the last version run. This is the same as calling 'Show Screenshot Version Info' and specifying the last version id in the URL","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"the Screenshot Test Information","schema":{"$ref":"#/definitions/screenshot_test"}}}},"put":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Archive Screenshot Test","description":"Archive or un-archive a screenshot test, including all versions. In effect, this hides the screenshot test from the UI, and from the API results when the archived=false flag is set, for screenshot test history. This is basically a solution for requests to give users a 'delete' option.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"false"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"action","in":"formData","description":"The only valid value is 'archive' where the next parameter defines turning the archive flag on or off.","required":true,"type":"string"},{"name":"archived","in":"formData","description":"Archive a test or un-archive a test depending on whether this parameter is set to true or false.","required":true,"type":"boolean"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/screenshot_test"}}}}},"/screenshots/{screenshot_test_id}/versions":{"get":{"security":[{"basicAuth":[]}],"summary":"List Screenshot Test Versions","description":"Since a screenshot test can be run multiple times, creating multiple versions, this API call returns top-level information about all versions ran.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"false"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"information about a specific screenshot test version ran","schema":{"$ref":"#/definitions/screenshot_test"}}}}},"/screenshots/{screenshot_test_id}/{version_id}":{"post":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Repeat Screenshot Test","description":"Repeating a screenshot test runs a new version of an existing screenshot test on the same URL. By default, it will also use the same browsers and advanced options, but these values can be changed by specifying them in the POST data.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"version_id","in":"path","description":"Screenshot Test version id","required":true,"type":"number","format":"integer"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/screenshot_test"}}}},"get":{"security":[{"basicAuth":[]}],"summary":"Show Screenshot Test Info","description":"Show information about a specific screenshot test version ran.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"version_id","in":"path","description":"Screenshot Test version id","required":true,"type":"number","format":"integer"},{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"false"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"information about a specific screenshot test version ran","schema":{"$ref":"#/definitions/screenshot_test"}}}},"delete":{"consumes":["application/x-www-form-urlencoded"],"summary":"Cancel Screenshot Test","description":"Cancel a screenshot test that is still active. This command will cancel all screenshots still running for a test version, but does not affect any screenshots that are already completed.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"version_id","in":"path","description":"Screenshot Test version id","required":true,"type":"number","format":"integer"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"false"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"the Screenshot Test Information","schema":{"$ref":"#/definitions/screenshot_test"}}}},"put":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Set Screenshot Test Description","description":"Set notes for this Screenshot Test Version.  Use hastags (#) to tag the test.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"version_id","in":"path","description":"Screenshot Test version id","required":true,"type":"number","format":"integer"},{"name":"action","in":"formData","description":"Action must equal 'set_description'","type":"string","required":true,"default":"set_description"},{"name":"description","in":"formData","description":"The notes for the description of the Screenshot Test. Pass an empty string to clear out any notes.","type":"string","required":true},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/screenshot_test"}}}}},"/screenshots/{screenshot_test_id}/{version_id}/{result_id}":{"post":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Retake Screenshot Test","description":"Retake a single screenshot result in a test. Similar to the web UI, retaking a screenshot replaces the result for a single browser. Unlike the Repeat Test API method, this method does not create a new screenshot test version.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"version_id","in":"path","description":"Screenshot Test version id","required":true,"type":"number","format":"integer"},{"name":"result_id","in":"path","description":"Screenshot Test result id","required":true,"type":"number","format":"integer"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"false"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"The structure of the response is the same as running a new screenshot test, except that the results array only holds one result object, the one that was retaken. Now if we were to call \"Show Screenshot Test Info\" the old result_id used would no longer exist, and instead this new result_id would be in its place. We could poll the screenshot info to see when the test completes.","schema":{"$ref":"#/definitions/screenshot_test"}}}},"get":{"security":[{"basicAuth":[]}],"summary":"Show Screenshot Test Info","description":"Show information about a specific screenshot result.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"version_id","in":"path","description":"Screenshot Test version id","required":true,"type":"number","format":"integer"},{"name":"result_id","in":"path","description":"Screenshot Test result id","required":true,"type":"number","format":"integer"},{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"false"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"Notice that the json structure here is the same as for a full test version, but that only one result is returned in the results array.","schema":{"$ref":"#/definitions/screenshot_test"}}}},"put":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Set Screenshot Result Description","description":"Add notes to a screenshot result.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"version_id","in":"path","description":"Screenshot Test version id","required":true,"type":"number","format":"integer"},{"name":"result_id","in":"path","description":"Screenshot Test result id","required":true,"type":"number","format":"integer"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"false"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"description","in":"formData","description":"The notes for the description of the Snapshot.","type":"string","required":true}],"responses":{"200":{"description":"the Snapshot's information","schema":{"$ref":"#/definitions/screenshot_test"}}}},"delete":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Cancel Screenshot Result","description":"Cancel a single screenshot result that is still active. This command will not affect any screenshot that is already completed.","parameters":[{"name":"screenshot_test_id","in":"path","description":"Screenshot Test session id","required":true,"type":"number","format":"integer"},{"name":"version_id","in":"path","description":"Screenshot Test version id","required":true,"type":"number","format":"integer"},{"name":"result_id","in":"path","description":"Screenshot Test result id","required":true,"type":"number","format":"integer"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"Returns the same result as the Show Screenshot Result Info method showing the result state as \"cancelled\". No further processing or minutes metering will occur.","schema":{"$ref":"#/definitions/screenshot_test"}}}}},"/screenshots/seleniumscripts":{"get":{"security":[{"basicAuth":[]}],"summary":"List All Selenium Scripts","description":"Get an array of all your saved saved Selenium Builder scripts.","parameters":[{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"An array of scripts and their information","schema":{"type":"array","items":{"$ref":"#/definitions/selenese_script"}}}}},"post":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Create Selenium Script","description":"Generate a Selenium Script for screenshot tests of pages that need selenium navigation before the screenshot is taken. Note: You cannot use a login profile and a selenium script on the same screenshot test.","parameters":[{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"script_name","in":"formData","required":true,"description":"A custom name for viewing and referencing this selenium script. Example: www.my-domain.com+Script","type":"string"},{"name":"custom_script","in":"formData","required":true,"description":"The JSON selenese to drive the screenshot test to the proper page. This is typically created by <a href=\"http://seleniumbuilder.github.io/se-builder/\">Selenium Builder</a>.","type":"string"}],"responses":{"200":{"description":"The script information","schema":{"$ref":"#/definitions/selenese_script"}}}}},"/screenshots/seleniumscripts/{script_name}":{"get":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Get Selenium Script","description":"Get info for an existing selenium script for screenshots.","parameters":[{"name":"script_name","in":"path","description":"the name of the script","required":true,"type":"string"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"The script information","schema":{"$ref":"#/definitions/selenese_script"}}}},"put":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Update Selenium Script","description":"Update an existing selenium script for screenshots.","parameters":[{"name":"script_name","in":"path","description":"the name of the script","required":true,"type":"string"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"custom_script","in":"formData","required":true,"description":"The JSON selenese to drive the screenshot test to the proper page. This is typically created by <a href=\"http://seleniumbuilder.github.io/se-builder/\">Selenium Builder</a>.","type":"string"}],"responses":{"200":{"description":"The script information","schema":{"$ref":"#/definitions/selenese_script"}}}},"delete":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Delete Selenium Script","description":"Delete a Selenium Builder script on your account.","parameters":[{"name":"script_name","in":"path","description":"the name of the script","required":true,"type":"string"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"True if deleted successfully, false otherwise","schema":{"type":"object","properties":{"deleted":{"type":"boolean"}}}}}}},"/screenshots/browserlists":{"post":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Create New Browser List","description":"Save a custom list of browsers and mobile devices for running screenshot tests against. This makes using both the API and the UI simpler for running screenshots against a common set of browsers.","parameters":[{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"browser_list_name","in":"formData","description":"A custom name for viewing and referencing this list of browsers. Example: My+Fav+Browsers","required":true,"type":"string"},{"name":"browsers","in":"formData","description":"Array of operating system/device, browser, and resolution api names. The \"api_name\" can be found in the returned results of the List Screenshot Browsers api method. \\n\\n There are three specifications for any browser you want to test: the operating system, the browser, and the resolution. The format takes the following syntax: \\n\\n **[OS api_name]|[Browser api_name]|[OS resolution name]**","required":true,"type":"string","format":"array"}],"responses":{"200":{"description":"the Browser List's information","schema":{"$ref":"#/definitions/browser_list"}}}},"get":{"security":[{"basicAuth":[]}],"summary":"Get Saved Browser Lists","description":"Get an array of your saved browser lists and system lists that can be used to quickly run a screenshot test against a set of browsers.","parameters":[{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"the Browser List's information","schema":{"type":"array","items":{"$ref":"#/definitions/browser_list"}}}}},"put":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Set Default Browser List","description":"Specify the default browser list for your account. This is specifically for the UI so when you load the new screenshot test page, these browsers are already selected.","parameters":[{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"action","in":"formData","description":"Must be set to 'set_default'.","required":true,"type":"string"},{"name":"browser_list_name","in":"formData","description":"A custom name for viewing and referencing this list of browsers. Example: My+Fav+Browsers","required":true,"type":"string"}],"responses":{"200":{"description":"the Browser List's information","schema":{"$ref":"#/definitions/browser_list"}}}}},"/screenshots/browserlists/{browser_list_name}":{"get":{"security":[{"basicAuth":[]}],"summary":"Get Browser List Details","description":"Get information about a specific browser list.","parameters":[{"name":"browser_list_name","in":"path","description":"the name of the Browser List","required":true,"type":"string"},{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"the Browser List's information","schema":{"type":"array","items":{"$ref":"#/definitions/browser_list"}}}}},"post":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Update Browser List","description":"Update the browsers for a previously saved list of browsers and mobile devices.","parameters":[{"name":"browser_list_name","in":"path","description":"the name of the Browser List","required":true,"type":"string"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"browsers","in":"formData","description":"Array of operating system/device, browser, and resolution api names. The \"api_name\" can be found in the returned results of the List Screenshot Browsers api method. \\n\\n There are three specifications for any browser you want to test: the operating system, the browser, and the resolution. The format takes the following syntax: **OS api_name | Browser api_name | OS resolution name**","required":true,"type":"array","items":{"type":"string"}}],"responses":{"200":{"description":"the Browser List's information","schema":{"$ref":"#/definitions/browser_list"}}}},"delete":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Delete Browser List","description":"Delete a previously created browser list on your account.","parameters":[{"name":"browser_list_name","in":"path","description":"the name of the Browser List","required":true,"type":"string"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"true if it was deleted, false if not","schema":{"type":"object","properties":{"deleted":{"type":"boolean"}}}}}}},"/screenshots/loginprofiles/":{"post":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Create Login Profile","description":"Generate a login profile for screenshot tests of pages requiring form-based authentication.","parameters":[{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"profile_name","in":"formData","description":"A custom name for viewing and referencing this login profile. Example: MyDomain.com+Login","required":true,"type":"string"},{"name":"login_url","in":"formData","description":"The URL where the login form can be found. Example: www.mydomain.com/login","required":true,"type":"string"},{"name":"username_locator","in":"formData","description":"The locator for the username field. Example: id=username Specifying Element Locators","required":true,"type":"string"},{"name":"password_locator","in":"formData","description":"The locator for the password field. Example: name=passwd Specifying Element Locators","required":true,"type":"string"},{"name":"submit_locator","in":"formData","description":"The locator for the submit button. Example: css=.go_btn > button Specifying Element Locators","required":true,"type":"string"},{"name":"username_value","in":"formData","description":"The actual username required to login.","required":true,"type":"string"},{"name":"password_value","in":"formData","description":"The actual password required to login.","required":true,"type":"string"}],"responses":{"200":{"description":"the Login Profile's information","schema":{"$ref":"#/definitions/login_profile"}}}},"get":{"security":[{"basicAuth":[]}],"summary":"Get Saved Login Profiles","description":"Get an array of all your saved login profiles.","parameters":[{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"an array of Login Profiles' information","schema":{"type":"array","items":{"$ref":"#/definitions/login_profile"}}}}}},"/screenshots/loginprofiles/{profile_name}":{"get":{"security":[{"basicAuth":[]}],"summary":"Get Login Profile Details","description":"Get the details of a specific login profile.","parameters":[{"name":"profile_name","in":"path","description":"the name of the Login Profile","required":true,"type":"string"},{"name":"format","in":"query","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"query","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"the Browser List's information","schema":{"type":"array","items":{"$ref":"#/definitions/login_profile"}}}}},"put":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Update Login Profile","description":"Update an existing login profile.","parameters":[{"name":"profile_name","in":"path","description":"the name of the Login Profile","required":true,"type":"string"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"},{"name":"profile_name","in":"formData","description":"A new name for viewing and referencing this login profile. Example: MyDomain.com+Login","required":true,"type":"string"},{"name":"login_url","in":"formData","description":"The URL where the login form can be found. Example: www.mydomain.com/login","required":true,"type":"string","format":"array"},{"name":"username_locator","in":"formData","description":"The locator for the username field. Example: id=username Specifying Element Locators","required":true,"type":"string"},{"name":"password_locator","in":"formData","description":"The locator for the password field. Example: name=passwd Specifying Element Locators","required":true,"type":"string"},{"name":"submit_locator","in":"formData","description":"The locator for the submit button. Example: css=.go_btn > button Specifying Element Locators","required":true,"type":"string"},{"name":"username_value","in":"formData","description":"The actual username required to login.","required":true,"type":"string"},{"name":"password_value","in":"formData","description":"The actual password required to login.","required":true,"type":"string"}],"responses":{"200":{"description":"the Login Profile's information","schema":{"$ref":"#/definitions/login_profile"}}}},"delete":{"consumes":["application/x-www-form-urlencoded"],"security":[{"basicAuth":[]}],"summary":"Delete Browser List","description":"Delete a previously created browser list on your account.","parameters":[{"name":"profile_name","in":"path","description":"the name of the Login Profile","required":true,"type":"string"},{"name":"format","in":"formData","description":"The format of the returned data. Possible values are \"json\" or \"jsonp\".","required":false,"type":"string","default":"json"},{"name":"callback","in":"formData","description":"Name of callback method for JSONP requests.","required":false,"type":"string"}],"responses":{"200":{"description":"true if it was deleted, false if not","schema":{"type":"object","properties":{"deleted":{"type":"boolean"}}}}}}}},"definitions":{"screenshot_test":{"type":"object","properties":{"screenshot_test_id":{"type":"integer"},"url":{"type":"string"},"created_date":{"type":"string"},"archived":{"type":"boolean"},"version_count":{"type":"integer"},"options":{"$ref":"#/definitions/options"},"versions":{"type":"array","items":{"$ref":"#/definitions/version"}}}},"options":{"type":"object","properties":{"delay":{"type":"integer"},"use_basic_auth":{"type":"boolean"},"basic_username":{"type":"string"},"basic_password":{"type":"string"},"use_login_profile":{"type":"boolean"},"login_profile":{"type":"string"},"send_email":{"type":"boolean"},"email_list":{"type":"string"}}},"resolution":{"type":"object","properties":{"width":{"type":"integer"},"height":{"type":"integer"},"desktop_height":{"type":"integer"},"desktop_width":{"type":"integer"},"name":{"type":"string"}}},"os":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"version":{"type":"string"},"api_name":{"type":"string"},"device":{"type":"string"},"icon_class":{"type":"string"},"configuration_sort_order":{"type":"number","format":"double"}}},"browser":{"type":"object","properties":{"default_config":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"version":{"type":"string"},"api_name":{"type":"string"},"default_live_test_browser":{"type":"boolean"},"icon_class":{"type":"string"},"major_browser":{"type":"boolean"},"device":{"type":"string"}}},"image":{"type":"object","properties":{"hash":{"type":"string"},"windowed":{"type":"string"},"chromeless":{"type":"string"},"fullpage":{"type":"string"}}},"result":{"type":"object","properties":{"finish_date":{"type":"string"},"flagged":{"type":"integer"},"flagged_reason":{"type":"string"},"flagged_details":{"type":"string"},"result_hash":{"type":"string"},"configuration_sort_order":{"type":"integer"},"successful":{"type":"boolean"},"state":{"type":"string"},"resolution":{"$ref":"#/definitions/resolution"},"result_id":{"type":"integer"},"initialized_date":{"type":"string"},"start_date":{"type":"string"},"os":{"$ref":"#/definitions/os"},"browser":{"$ref":"#/definitions/browser"},"images":{"$ref":"#/definitions/image"},"description":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/definitions/tag"}},"launch_live_test_url":{"type":"string"},"page_source":{"type":"string"},"dom_source":{"type":"string"},"show_result_web_url":{"type":"string"},"show_result_public_url":{"type":"string"}}},"version":{"type":"object","properties":{"rating":{"type":"integer"},"feedback":{"type":"string"},"comparison_rating":{"type":"integer"},"comparison_feedback":{"type":"string"},"version_id":{"type":"integer"},"start_date":{"type":"string"},"version_hash":{"type":"string"},"result_count":{"type":"object","properties":{"total":{"type":"integer"},"running":{"type":"integer"},"successful":{"type":"integer"},"failed":{"type":"integer"}}},"active":{"type":"boolean"},"description":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/definitions/tag"}},"show_results_web_url":{"type":"string"},"show_results_public_url":{"type":"string"},"show_comparisons_web_url":{"type":"string"},"show_comparisons_public_url":{"type":"string"},"download_results_zip_url":{"type":"string"},"download_results_zip_public_url":{"type":"string"},"results":{"type":"array","items":{"$ref":"#/definitions/result"}}}},"browser_list":{"type":"object","properties":{"id":{"type":"integer"},"owner":{"type":"string"},"last_updated":{"type":"string"},"browser_list_name":{"type":"string"},"type":{"type":"string"},"default":{"type":"boolean"},"test_type":{"type":"string"},"browsers":{"type":"array","items":{"properties":{"os_api_name":{"type":"string"},"browser_api_name":{"type":"string"},"resolution":{"type":"string"},"parameter":{"type":"string"}}}}}},"login_profile":{"type":"object","properties":{"profile_name":{"type":"string"},"login_url":{"type":"string"},"username_locator":{"type":"string"},"username_value":{"type":"string"},"password_locator":{"type":"string"},"password_value":{"type":"string"},"submit_locator":{"type":"string"},"date_added":{"type":"string"},"date_updated":{"type":"string"}}},"selenese_script":{"type":"object","properties":{"script_name":{"type":"string"},"custom_script":{"type":"object","properties":{"type":{"type":"string"},"seleniumVersion":{"type":"string"},"formatVersion":{"type":"integer"},"steps":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"url":{"type":"string"}}}},"data":{"type":"object","properties":{"configs":{"type":"object"},"source":{"type":"string"}}},"timeoutSeconds":{"type":"integer"}}},"date_added":{"type":"string"},"date_updated":{"type":"string"}}},"tag":{"type":"string"}}}